<template>
  <q-layout view="hHh LpR fFf">

    <slot name="header"></slot>
    <slot name="sidebar"></slot>
    <slot name="footer"></slot>

    <q-page-container class="page-content" >
        <router-view id="page-content"/>
      </q-page-container>
  </q-layout>
</template>

<script>
  import AppMenu from 'components/Menu/AppMenu'
  import AppUserInfo from 'components/AppUserInfo';
  import {mapFields} from 'vuex-map-fields'
  export default {
    name: "MainLayout",
    components:{AppUserInfo, AppMenu},
    meta: {
      title: 'Home',
      titleTemplate: title => title ?`SFP-GRH::${title}` : '',
    },
    data() {
      return {
        appVersion: '0.0.1',
        mode: 'Dev'
      }
    },
    computed: {
      ...mapFields('app',['drawer','appTitle'])
    }
  }
</script>
